! Laplace for Power Variance Function distribution with E(Z)=1 => nu=rho*m
subroutine laplace_pvf_E1(len,deriv,c_vector,rho,m,L)
  integer,intent(in) :: len
  double precision,intent(in) :: deriv(len), c_vector(len), rho, m
  double precision,intent(inout) :: L(len)
  integer :: i
  double precision :: c, L0, L1, L2, L3, L4, L5, L6, L7, L8, L9, L10,&
       &L11, L12, L13, L14, L15, L16, L17, L18, L19, L20,&
       &L21, L22, L23, L24, L25, L26, L27, L28, L29, L30,&
       &L31, L32, L33, L34
  ! &L35, L36, L37, L38, L39, L40
  ! &L41, L42, L43, L44, L45, L46, L47, L48, L49, L50 
  do i=1, len
     c = c_vector(i)
     L0 = exp(-rho*(1-((m*rho)/(m*rho+c))**m))
     if (deriv(i) .eq. 0) then
        L(i) = L0
        cycle
     end if
     ! (while (re-search-forward "L[(]\\([0-9]*\\)[)]" nil t) (replace-match (concat "L" (match-string 1))))
     L1 = -L0*(m*rho)**(m+1)*(m*rho+c)**((-m)-1)
     if (deriv(i) .eq. 1) then
        L(i) = L1
        cycle
     end if
     L2 = (-L1*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-L0*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-2)
     if (deriv(i) .eq. 2) then
        L(i) = L2
        cycle
     end if
     L3 = (-L2*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-2*L1*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-L0*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-3)
     if (deriv(i) .eq. 3) then
        L(i) = L3
        cycle
     end if
     L4 = (-L3*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-3*L2*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-3*L1*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-3)-L0*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-4)
     if (deriv(i) .eq. 4) then
        L(i) = L4
        cycle
     end if
     L5 = (-L4*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-4*L3*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-6*L2*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-3)-4*L1*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-4)-L0*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)
     if (deriv(i) .eq. 5) then
        L(i) = L5
        cycle
     end if
     L6 = (-L5*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-5*L4*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-10*L3*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-3)-10*L2*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-4)-5*L1*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-L0*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-6)
     if (deriv(i) .eq. 6) then
        L(i) = L6
        cycle
     end if
     L7 = (-L6*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-6*L5*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-15*L4*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-3)-20*L3*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-4)-15*L2*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-6*L1*((-m)-5)*((-m)-4)*(&
          &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-6)-L0*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-7)
     if (deriv(i) .eq. 7) then
        L(i) = L7
        cycle
     end if
     L8 = (-L7*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-7*L6*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-21*L5*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-3)-35*L4*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-4)-35*L3*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-21*L2*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-6)-7*L&
          &1*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-7)-L0*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-8)
     if (deriv(i) .eq. 8) then
        L(i) = L8
        cycle
     end if
     L9 = (-L8*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-8*L7*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-2)-28*L6*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-3)-56*L5*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-4)-70*L4*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-56*L3*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-6)-28*&
          &L2*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-7)-8*L1*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-&
          &L0*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
          &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9)
     if (deriv(i) .eq. 9) then
        L(i) = L9
        cycle
     end if
     L10 = (-L9*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-9*L8*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-2)-36*L7*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-3)-84*L6*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-4)-126*L5*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-126*L4*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-6)-&
          &84*L3*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-7)-36*L2*((-m)-7)*((-m)-6)*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-8)-9*L1*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9)-L0*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)
     if (deriv(i) .eq. 10) then
        L(i) = L10
        cycle
     end if
     L11 = (-L10*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-10*L9*((-m)-1)*&
          &(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-45*L8*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-3)-120*L7*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-4)-210*L6*((-m)-4)*((-m)-3)*((-m)-2&
          &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-252*L5*((-m)-5)*((-&
          &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
          &6)-210*L4*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-7)-120*L3*((-m)-7)*((-m)-6)*((-m)-&
          &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
          &((-m)-8)-45*L2*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
          &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9)-10*L1*((&
          &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)-L0*((-m)-10)*((&
          &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)
     if (deriv(i) .eq. 11) then
        L(i) = L11
        cycle
     end if
     L12 = (-L11*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-11*L10*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-55*L9*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-3)-165*L8*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-4)-330*L7*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-462*L6*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-6)-462*L5*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
          &(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-330*L4*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-8)-165*L3*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
          &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9)-55*L2*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)-11*L1*((-m)-1&
          &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-L0*((-m)-1&
          &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
          &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)
     if (deriv(i) .eq. 12) then
        L(i) = L12
        cycle
     end if
     L13 = (-L12*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-12*L11*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-66*L10*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-3)-220*L9*((-m)-3)*((-m)-2)*((-m)-1)*&
          &(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-495*L8*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-792*L7*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-6)-924*L6*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-792*L5*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-8)-495*L4*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
          &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9)-220*L&
          &3*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)-66*L2*((-m)&
          &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
          &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-12*L1*((&
          &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-12)-L0*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-13)
     if (deriv(i) .eq. 13) then
        L(i) = L13
        cycle
     end if
     L14 = (-L13*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-13*L12*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-78*L11*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-3)-286*L10*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-715*L9*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1287*L8*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-6)-1716*L7*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
          &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-1716*L6*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-8)-1287*L5*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9)-&
          &715*L4*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)-286*L3&
          &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-78&
          &*L2*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-12)-13*L1*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-13)-L0*((-m)-13)*((-m)-12)*((-m)-11&
          &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
          &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)
     if (deriv(i) .eq. 14) then
        L(i) = L14
        cycle
     end if
     L15 = (-L14*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-14*L13*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-91*L12*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-3)-364*L11*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-1001*L10*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-2002*L9*((-m)-&
          &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
          &((-m)-6)-3003*L8*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-3432*L7*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-8)-3003*L6*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
          &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-9&
          &)-2002*L5*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
          &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)-100&
          &1*L4*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
          &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11&
          &)-364*L3*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-12)-91*L2*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
          &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-14*L1*((-m)-13)*((-m)-12)*&
          &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
          &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
          &m)-14)-L0*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
          &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
          &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)
     if (deriv(i) .eq. 15) then
        L(i) = L15
        cycle
     end if
     L16 = (-L15*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-15*L14*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-105*L13*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-455*L12*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-1365*L11*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-3003*L10*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-6)-5005*L9*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-6435*L8*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-8)-6435*L7*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-9)-5005*L6*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
          &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-10)-3&
          &003*L5*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
          &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
          &11)-1365*L4*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-12)-455*L3*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
          &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
          &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-105*L2*((-m)-13)*((-m)&
          &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-14)-15*L1*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
          &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-L0*((-m)-1&
          &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
          &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
          &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)
     if (deriv(i) .eq. 16) then
        L(i) = L16
        cycle
     end if
     L17 = (-L16*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-16*L15*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-120*L14*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-560*L13*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-1820*L12*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-4368*L11*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-6)-8008*L10*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-11440*L9*((-m)-7)*((-&
          &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
          &*(m*rho+c)**((-m)-8)-12870*L8*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-9)-11440*L7*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
          &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-1&
          &0)-8008*L6*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-11)-4368*L5*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
          &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
          &)*(m*rho+c)**((-m)-12)-1820*L4*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
          &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-560*L3*((-m)-13)*&
          &((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)&
          &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
          &ho+c)**((-m)-14)-120*L2*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
          &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
          &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-16*L&
          &1*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-L0*((-m)-16)*((-&
          &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)
     if (deriv(i) .eq. 17) then
        L(i) = L17
        cycle
     end if
     L18 = (-L17*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-17*L16*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-136*L15*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-680*L14*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-2380*L13*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-6188*L12*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-6)-12376*L11*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
          &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-19448*L10*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-8)-24310*L9*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
          &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
          &((-m)-9)-24310*L8*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-10)-19448*L7*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-11)-12376*L6*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
          &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-12)-6188*L5*((-m)-12)*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-2380*L4*((-m)&
          &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
          &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
          &*(m*rho+c)**((-m)-14)-680*L3*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)&
          &-136*L2*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
          &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-17*L1*((-m&
          &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
          &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-L0*((-m)-17)&
          &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
          &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
          &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)
     if (deriv(i) .eq. 18) then
        L(i) = L18
        cycle
     end if
     L19 = (-L18*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-18*L17*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-153*L16*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-816*L15*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-3060*L14*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-8568*L13*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-6)-18564*L12*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
          &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-31824*L11*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-8)-43758*L10*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-9)-48620*L9*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-10)-43758*L8*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-11)-31824*L7*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
          &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-12)-18564*L6*((-m)-12)*((-m)-11)*((-m)-10&
          &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-8568*L5*((-&
          &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-14)-3060*L4*((-m)-14)*((-m)-13)*((-m)-12)*((-&
          &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
          &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
          &15)-816*L3*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
          &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
          &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-153*L2*&
          &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
          &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
          &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-18*L1*((&
          &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
          &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
          &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-&
          &L0*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
          &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-19)
     if (deriv(i) .eq. 19) then
        L(i) = L19
        cycle
     end if
     L20 = (-L19*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-19*L18*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-171*L17*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-969*L16*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-3876*L15*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-11628*L14*((-&
          &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
          &)**((-m)-6)-27132*L13*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
          &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-50388*L12*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-8)-75582*L11*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-9)-92378*L10*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-10)-92378*L9*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-11)-75582*L8*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-12)-50388*L7*((-m)-12)*((-m)-11)*((-m)-&
          &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
          &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-27132*L6*&
          &((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
          &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-14)-11628*L5*((-m)-14)*((-m)-13)*((-m)-12)&
          &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-15)-3876*L4*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
          &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-96&
          &9*L3*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
          &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
          &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-171&
          &*L2*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
          &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-18)-19*L1*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
          &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-19)-L0*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16&
          &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)
     if (deriv(i) .eq. 20) then
        L(i) = L20
        cycle
     end if
     L21 = (-L20*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-20*L19*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-190*L18*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-1140*L17*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-4845*L16*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-15504*L15*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-6)-38760*L14*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-77520*L13*((-m)-7)&
          &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-8)-125970*L12*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-9)-167960*L11*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-10)-184756*L10*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-11)-167960*L9*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
          &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
          &(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-125970*L8*((-m)-12)*((-m)-11)&
          &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-77&
          &520*L7*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-14)-38760*L6*((-m)-14)*((-m)-13)*((&
          &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-15)-15504*L5*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
          &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-16)-4845*L4*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
          &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-17)-1140*L3*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
          &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-18)-190*L2*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
          &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
          &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-19)-20*L1*((-m)-19)*((-m)-18)*((-m&
          &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
          &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-L0&
          &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
          &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
          &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-21)
     if (deriv(i) .eq. 21) then
        L(i) = L21
        cycle
     end if
     L22 = (-L21*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-21*L20*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-210*L19*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-1330*L18*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-5985*L17*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-20349*L16*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-6)-54264*L15*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-116280*L14*((-m)-7&
          &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-8)-203490*L13*((-m)-8)*((-m)-7)*((-m)-6)*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-9)-293930*L12*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-10)-352716*L11*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-11)-352716*L10*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
          &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-293930*L9*((-m)-12)*((-m)-1&
          &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
          &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)-&
          &203490*L8*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-116280*L7*((-m)-14)*((-m)-13&
          &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-15)-54264*L6*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
          &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
          &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
          &((-m)-16)-20349*L5*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
          &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-17)-5985*L4*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-18)-1330*L3*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
          &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-210*L2*((-m)-19)*((-m)-1&
          &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
          &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-20)-21*L1*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
          &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
          &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
          &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-L0*((-m)-21)*((-m)-20)&
          &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
          &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
          &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
          &)*(m*rho+c)**((-m)-22)
     if (deriv(i) .eq. 22) then
        L(i) = L22
        cycle
     end if
     L23 = (-L22*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-22*L21*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-231*L20*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-1540*L19*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-7315*L18*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-26334*L17*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-6)-74613*L16*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-170544*L15*((-m)-7&
          &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-8)-319770*L14*((-m)-8)*((-m)-7)*((-m)-6)*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-9)-497420*L13*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-10)-646646*L12*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-11)-705432*L11*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
          &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-646646*L10*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-13)&
          &-497420*L9*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
          &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-319770*L8*((-m)-14)*((-m)-1&
          &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-15)-170544*L7*((-m)-15)*((-m)-14)*((-m)-13)*((-m)&
          &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-16)-74613*L6*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
          &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
          &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
          &)**((-m)-17)-26334*L5*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
          &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-18)-7315*L4*((-m)-18)*((-m)-17)*((-m)-16)*((-&
          &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-1540*L3*((-m)-19)*((-&
          &m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12&
          &)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5&
          &)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**(&
          &(-m)-20)-231*L2*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)&
          &*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
          &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-22*L1*((-m)-21)*(&
          &(-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
          &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-22)-L0*((-m)-22)*((-m)-21)*((-m)-20)*(&
          &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-23)
     if (deriv(i) .eq. 23) then
        L(i) = L23
        cycle
     end if
     L24 = (-L23*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-23*L22*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-253*L21*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-1771*L20*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-8855*L19*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-33649*L18*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-6)-100947*L17*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-245157*L16*((-m)-&
          &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-8)-490314*L15*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-9)-817190*L14*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
          &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
          &)**((-m)-10)-1144066*L13*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
          &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
          &*(m*rho+c)**((-m)-11)-1352078*L12*((-m)-11)*((-m)-10)*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-1352078*L11*((-m)-12)*((&
          &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
          &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
          &-13)-1144066*L10*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-817190*L9*((-m)-14)*(&
          &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
          &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-15)-490314*L8*((-m)-15)*((-m)-14)*((-m)-13)&
          &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-16)-245157*L7*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
          &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-17)-100947*L6*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
          &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-18)-33649*L5*((-m)-18)*((-m)-17)*((-m&
          &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
          &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-8855*L4*((-m&
          &)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
          &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-20)-1771*L3*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
          &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
          &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
          &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-253*L2*&
          &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
          &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
          &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-23*L1*((-m)-22)*((-m)-2&
          &1)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
          &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
          &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-23)-L0*((-m)-23)*((-m)-22)*((-m)-2&
          &1)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
          &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
          &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-24)
     if (deriv(i) .eq. 24) then
        L(i) = L24
        cycle
     end if
     L25 = (-L24*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-24*L23*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-276*L22*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-2024*L21*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-10626*L20*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-42504*L19*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-6)-134596*L18*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-346104*L17*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-8)-735471*L16*((-m)-8)*((-m)-7)*((-m)-6)&
          &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
          &ho+c)**((-m)-9)-1307504*L15*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-10)-1961256*L14*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-11)-2496144*L13*((-m)-11)*((-m)-10)*((-m)-9)*&
          &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
          &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-2704156*L12*((-m)-12)*&
          &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
          &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
          &m)-13)-2496144*L11*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
          &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
          &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-1961256*L10*((-m)-1&
          &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-15)-1307504*L9*((-m)-15)*((-m)-14)*((-m&
          &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
          &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
          &)*(m*rho+c)**((-m)-16)-735471*L8*((-m)-16)*((-m)-15)*((-m)-14)*((&
          &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-17)-346104*L7*((-m)-17)*((-m)-16)*((-m)-15)*&
          &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-134596*L6*((-m)-18)*((-m)-17&
          &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-42504*&
          &L5*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
          &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-20)-10626*L4*((-m)-20)*((-m)-19)*((-m)-18)*(&
          &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)&
          &-2024*L3*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-&
          &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
          &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-276*L2*((-m)-2&
          &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
          &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
          &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-24*L1*((-m)-23)*((-m&
          &)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)&
          &*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
          &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-L0*((-m)-24)*((-m&
          &)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
          &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
          &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
          &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)
     if (deriv(i) .eq. 25) then
        L(i) = L25
        cycle
     end if
     L26 = (-L25*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-25*L24*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-300*L23*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-2300*L22*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-12650*L21*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-53130*L20*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-6)-177100*L19*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-480700*L18*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-8)-1081575*L17*((-m)-8)*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-9)-2042975*L16*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-10)-3268760*L15*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-11)-4457400*L14*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-5200300*L13*((-m)-12)&
          &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-13)-5200300*L12*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
          &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
          &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-4457400*L11*((-m)-&
          &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-15)-3268760*L10*((-m)-15)*((-m)-14)*((&
          &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-16)-2042975*L9*((-m)-16)*((-m)-15)*((-m)-14)&
          &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
          &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-17)-1081575*L8*((-m)-17)*((-m)-16)*((-m)-&
          &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-480700*L7*((-m)-18)*((-m&
          &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
          &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
          &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-17&
          &7100*L6*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
          &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-20)-53130*L5*((-m)-20)*((-m)-19)*((-m)-&
          &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
          &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-21)-12650*L4*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
          &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
          &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
          &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-2300*L3*&
          &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
          &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-300*L2*((-m)-&
          &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
          &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
          &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
          &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-25*L1*((-&
          &m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
          &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
          &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
          &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
          &25)-L0*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
          &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
          &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-26)
     if (deriv(i) .eq. 26) then
        L(i) = L26
        cycle
     end if
     L27 = (-L26*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-26*L25*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-325*L24*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-2600*L23*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-14950*L22*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-65780*L21*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-6)-230230*L20*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-657800*L19*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-8)-1562275*L18*((-m)-8)*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-9)-3124550*L17*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-10)-5311735*L16*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-11)-7726160*L15*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-9657700*L14*((-m)-12)&
          &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-13)-10400600*L13*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
          &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
          &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-9657700*L12*((-m)&
          &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-15)-7726160*L11*((-m)-15)*((-m)-14)*(&
          &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
          &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-16)-5311735*L10*((-m)-16)*((-m)-15)*((-m)-1&
          &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-17)-3124550*L9*((-m)-17)*((-m)-16)*((-m&
          &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
          &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
          &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-1562275*L8*((-m)-18)*(&
          &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)&
          &-657800*L7*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
          &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
          &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-20)-230230*L6*((-m)-20)*((-m)-19)*((&
          &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
          &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
          &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
          &((-m)-21)-65780*L5*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
          &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
          &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
          &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-1495&
          &0*L4*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
          &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
          &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
          &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-2600*L3*&
          &((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)&
          &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
          &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
          &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-325&
          &*L2*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
          &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
          &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-25)-26*L1*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21&
          &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
          &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-26)-L0*((-m)-26)*((-m)-25)*((-m)-24&
          &)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-&
          &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
          &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
          &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)
     if (deriv(i) .eq. 27) then
        L(i) = L27
        cycle
     end if
     L28 = (-L27*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-27*L26*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-351*L25*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-2925*L24*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-17550*L23*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-80730*L22*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-6)-296010*L21*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-888030*L20*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-8)-2220075*L19*((-m)-8)*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-9)-4686825*L18*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-10)-8436285*L17*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
          &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
          &+1)*(m*rho+c)**((-m)-11)-13037895*L16*((-m)-11)*((-m)-10)*((-m)-9&
          &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-17383860*L15*((-m)-1&
          &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
          &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
          &((-m)-13)-20058300*L14*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
          &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-20058300*L13*((&
          &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
          &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-15)-17383860*L12*((-m)-15)*((-m)-1&
          &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-16)-13037895*L11*((-m)-16)*((-m)-15)*((&
          &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
          &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
          &m*rho)**(m+1)*(m*rho+c)**((-m)-17)-8436285*L10*((-m)-17)*((-m)-16&
          &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-4686825*L9*((-m)&
          &-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*&
          &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
          &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
          &m)-19)-2220075*L8*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
          &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
          &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
          &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-888030*L7*((-m)-20)*((-m)&
          &-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*&
          &((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)&
          &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
          &ho+c)**((-m)-21)-296010*L6*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
          &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
          &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
          &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
          &22)-80730*L5*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((&
          &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
          &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
          &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-&
          &17550*L4*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
          &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
          &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-24)-2925*L3*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*(&
          &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-25)-351*L2*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
          &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
          &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
          &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-27*L1*((-m)-26)*((-m&
          &)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)&
          &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
          &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
          &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
          &)**((-m)-27)-L0*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)&
          &*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
          &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
          &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
          &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)
     if (deriv(i) .eq. 28) then
        L(i) = L28
        cycle
     end if
     L29 = (-L28*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-28*L27*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-378*L26*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-3276*L25*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-20475*L24*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-98280*L23*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-6)-376740*L22*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
          &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-1184040*L21*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-8)-3108105*L20*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-9)-6906900*L19*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)&
          &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
          &ho+c)**((-m)-10)-13123110*L18*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
          &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-11)-21474180*L17*((-m)-11)*((-m)-10)*((-m)&
          &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
          &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-30421755*L16*((-m)&
          &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-13)-37442160*L15*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-40116600*L14*&
          &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-37442160*L13*((-m)-15)*((-m)&
          &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-16)-30421755*L12*((-m)-16)*((-m)-15)*&
          &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-21474180*L11*((-m)-17)*((-m)&
          &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-13123110*L10*&
          &((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)&
          &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
          &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
          &**((-m)-19)-6906900*L9*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
          &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
          &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-3108105*L8*((-m)-20)&
          &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
          &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
          &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
          &)*(m*rho+c)**((-m)-21)-1184040*L7*((-m)-21)*((-m)-20)*((-m)-19)*(&
          &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
          &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-22)-376740*L6*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
          &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
          &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-23)-98280*L5*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
          &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
          &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-24)-20475*L4*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
          &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
          &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-25)-3276*L3*((-m)-25)*((-m)-24)*((-m)-2&
          &3)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((&
          &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
          &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-378*L2*((-&
          &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
          &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
          &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-27)-28*L1*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
          &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
          &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
          &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
          &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28&
          &)-L0*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
          &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
          &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)
     if (deriv(i) .eq. 29) then
        L(i) = L29
        cycle
     end if
     L30 = (-L29*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-29*L28*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-406*L27*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-3654*L26*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-23751*L25*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-118755*L24*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-6)-475020*L23*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-1560780*L22*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-8)-4292145*L21*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-9)-10015005*L20*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-10)-20030010*L19*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-11)-34597290*L18*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-51895935*L17*((-&
          &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-13)-67863915*L16*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
          &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-77558760*L1&
          &5*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
          &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-77558760*L14*((-m)-15)*((-&
          &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-16)-67863915*L13*((-m)-16)*((-m)-15&
          &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
          &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-51895935*L12*((-m)-17)*((-&
          &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
          &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-34597290*L1&
          &1*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
          &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-19)-20030010*L10*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16&
          &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-10015005*L9*((-m&
          &)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
          &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
          &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-21)-4292145*L8*((-m)-21)*((-m)-20)*((-m)-&
          &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
          &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-22)-1560780*L7*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
          &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
          &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-23)-475020*L6*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*(&
          &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-24)-118755*L5*((-m)-24)*((-m)-23)*((-m)-22)*((-m&
          &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
          &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
          &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-23751*L4*((-m)-25)*((-m)-24&
          &)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-&
          &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
          &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
          &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-3&
          &654*L3*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21&
          &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
          &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-27)-406*L2*((-m)-27)*((-m)-26)*((-m&
          &)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)&
          &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
          &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
          &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
          &)**((-m)-28)-29*L1*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-&
          &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
          &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)&
          &-L0*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*(&
          &(-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
          &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
          &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
          &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)
     if (deriv(i) .eq. 30) then
        L(i) = L30
        cycle
     end if
     L31 = (-L30*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-30*L29*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-435*L28*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-4060*L27*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-27405*L26*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-142506*L25*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-6)-593775*L24*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-2035800*L23*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-8)-5852925*L22*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-9)-14307150*L21*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-10)-30045015*L20*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-11)-54627300*L19*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-86493225*L18*((-&
          &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-13)-119759850*L17*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
          &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-145422675*&
          &L16*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-155117520*L15*((-m)-15)*&
          &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-145422675*L14*((-m)-16)*((-m&
          &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
          &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
          &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-119759850*L13*((-m)-17&
          &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-864932&
          &25*L12*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
          &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-19)-54627300*L11*((-m)-19)*((-m)-18)*((-m)-17)*((-&
          &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
          &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-30045015*L1&
          &0*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
          &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-21)-14307150*L9*((-m)-21)*((-m)-20)&
          &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
          &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
          &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
          &)*(m*rho+c)**((-m)-22)-5852925*L8*((-m)-22)*((-m)-21)*((-m)-20)*(&
          &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-23)-2035800*L7*((-m)-23)*((-m)-22)*((-m)-21)*((-&
          &m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14&
          &)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-24)-593775*L6*((-m)-24)*((-m)-23)*((-m)-&
          &22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*(&
          &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
          &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
          &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-142506*L5*((-m)-25)&
          &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
          &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
          &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-26)-27405*L4*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
          &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
          &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-4060*L3*((-m)-27)*((-&
          &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
          &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
          &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
          &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
          &1)*(m*rho+c)**((-m)-28)-435*L2*((-m)-28)*((-m)-27)*((-m)-26)*((-m&
          &)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)&
          &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
          &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
          &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
          &)**((-m)-29)-30*L1*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
          &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
          &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
          &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
          &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
          &*((-m)-30)-L0*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*(&
          &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
          &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
          &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-31)
     if (deriv(i) .eq. 31) then
        L(i) = L31
        cycle
     end if
     L32 = (-L31*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-31*L30*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-465*L29*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-4495*L28*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-31465*L27*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-169911*L26*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-6)-736281*L25*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-2629575*L24*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-8)-7888725*L23*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-9)-20160075*L22*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-10)-44352165*L21*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-11)-84672315*L20*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-141120525*L19*((&
          &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
          &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
          &+c)**((-m)-13)-206253075*L18*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
          &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
          &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-265182525&
          &*L17*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
          &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-300540195*L16*((-m)-15)&
          &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
          &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
          &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-300540195*L15*((-m)-16)*((-&
          &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-265182525*L14*((-m)-1&
          &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
          &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
          &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-20625&
          &3075*L13*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-19)-141120525*L12*((-m)-19)*((-m)-18)*((-m)-17)*&
          &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
          &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
          &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-84672315&
          &*L11*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
          &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-44352165*L10*((-m)-21)*((-m)&
          &-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*&
          &((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
          &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
          &(m+1)*(m*rho+c)**((-m)-22)-20160075*L9*((-m)-22)*((-m)-21)*((-m)-&
          &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
          &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
          &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
          &m+1)*(m*rho+c)**((-m)-23)-7888725*L8*((-m)-23)*((-m)-22)*((-m)-21&
          &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
          &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
          &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
          &*rho)**(m+1)*(m*rho+c)**((-m)-24)-2629575*L7*((-m)-24)*((-m)-23)*&
          &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
          &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-736281*L6*((-&
          &m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
          &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
          &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
          &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
          &c)**((-m)-26)-169911*L5*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*(&
          &(-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-&
          &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
          &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-31465*L4*((-m)&
          &-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*&
          &((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
          &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-28)-4495*L3*((-m)-28)*((-m)-27)*((-m)&
          &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
          &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
          &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
          &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
          &*(m*rho+c)**((-m)-29)-465*L2*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-&
          &26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*(&
          &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
          &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-30)-31*L1*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27&
          &)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-&
          &m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14&
          &)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
          &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
          &**(m+1)*(m*rho+c)**((-m)-31)-L0*((-m)-31)*((-m)-30)*((-m)-29)*((-&
          &m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
          &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
          &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)
     if (deriv(i) .eq. 32) then
        L(i) = L32
        cycle
     end if
     L33 = (-L32*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-32*L31*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-496*L30*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-4960*L29*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-35960*L28*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-201376*L27*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-6)-906192*L26*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-3365856*L25*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-8)-10518300*L24*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-9)-28048800*L23*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
          &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
          &m*rho+c)**((-m)-10)-64512240*L22*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-11)-129024480*L21*((-m)-11)*((-m)-10)*(&
          &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-225792840*L20*&
          &((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)&
          &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
          &ho+c)**((-m)-13)-347373600*L19*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
          &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
          &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-4714356&
          &00*L18*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-565722720*L17*((-m)-1&
          &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
          &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
          &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-601080390*L16*((-m)-16)*(&
          &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
          &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
          &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-565722720*L15*((-m)&
          &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
          &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
          &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)-471&
          &435600*L14*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
          &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
          &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
          &)*(m*rho+c)**((-m)-19)-347373600*L13*((-m)-19)*((-m)-18)*((-m)-17&
          &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-225792&
          &840*L12*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
          &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
          &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
          &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-129024480*L11*((-m)-21)*(&
          &(-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
          &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-22)-64512240*L10*((-m)-22)*((-m)-21)*(&
          &(-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
          &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-23)-28048800*L9*((-m)-23)*((-m)-22)*((&
          &-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
          &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
          &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
          &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-10518300*L8*((-m)-24)*((-&
          &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
          &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-336585&
          &6*L7*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
          &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
          &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
          &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
          &*(m*rho+c)**((-m)-26)-906192*L6*((-m)-26)*((-m)-25)*((-m)-24)*((-&
          &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
          &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-201376&
          &*L5*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*(&
          &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
          &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-35960*L4*((-m)-28)*((-m)&
          &-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*&
          &((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
          &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-29)-4960*L3*((-m)-29)*((-m)-28)*((-m)&
          &-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*&
          &((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
          &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-30)-496*L2*((-m)-30)*((-m)-29)*((-m)-&
          &28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*(&
          &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
          &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
          &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
          &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-32*L1*((-m)-31)*((-m)-30&
          &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
          &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
          &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-L0*((-&
          &m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26&
          &)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
          &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
          &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
          &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
          &*rho+c)**((-m)-33)
     if (deriv(i) .eq. 33) then
        L(i) = L33
        cycle
     end if
     L34 = (-L33*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-33*L32*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-528*L31*((-m)-2)*((-m)-1)*(m*&
          &rho)**(m+1)*(m*rho+c)**((-m)-3)-5456*L30*((-m)-3)*((-m)-2)*((-m)-&
          &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-40920*L29*((-m)-4)*((-m)-3)&
          &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-237336*L28*&
          &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
          &o+c)**((-m)-6)-1107568*L27*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-4272048*L26*((&
          &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
          &ho)**(m+1)*(m*rho+c)**((-m)-8)-13884156*L25*((-m)-8)*((-m)-7)*((-&
          &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
          &*(m*rho+c)**((-m)-9)-38567100*L24*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
          &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
          &(m*rho+c)**((-m)-10)-92561040*L23*((-m)-10)*((-m)-9)*((-m)-8)*((-&
          &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
          &o)**(m+1)*(m*rho+c)**((-m)-11)-193536720*L22*((-m)-11)*((-m)-10)*&
          &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
          &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-354817320*L21&
          &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
          &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
          &rho+c)**((-m)-13)-573166440*L20*((-m)-13)*((-m)-12)*((-m)-11)*((-&
          &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
          &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-818809&
          &200*L19*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
          &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-1037158320*L18*((-m)&
          &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
          &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
          &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-1166803110*L17*((-m)-16&
          &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
          &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
          &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-1166803110*L16*(&
          &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-18)&
          &-1037158320*L15*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
          &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
          &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
          &*(m+1)*(m*rho+c)**((-m)-19)-818809200*L14*((-m)-19)*((-m)-18)*((-&
          &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
          &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
          &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-5&
          &73166440*L13*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
          &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
          &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
          &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-354817320*L12*((-m)-&
          &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
          &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
          &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
          &(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-193536720*L11*((-m)-22)*((-m)&
          &-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
          &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
          &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
          &*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-92561040*L10*((-m)-23)*((-m)&
          &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
          &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
          &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
          &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-38567100*L9*((-m)-&
          &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
          &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
          &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
          &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)&
          &-13884156*L8*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
          &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
          &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
          &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
          &)**(m+1)*(m*rho+c)**((-m)-26)-4272048*L7*((-m)-26)*((-m)-25)*((-m&
          &)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
          &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
          &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
          &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-2&
          &7)-1107568*L6*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*(&
          &(-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-&
          &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
          &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
          &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-237336*L5*((-m&
          &)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)&
          &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
          &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
          &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
          &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-40920*L4*((-m)-29)*((-&
          &m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
          &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
          &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
          &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
          &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-5456*L3*((-m)-30)*((-&
          &m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23&
          &)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-&
          &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
          &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
          &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-528*L2*((-m&
          &)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
          &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
          &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
          &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
          &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
          &-m)-32)-33*L1*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*(&
          &(-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-&
          &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
          &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
          &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
          &(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-L0*((-m)-33)*((-m)-32)*((-m)-&
          &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
          &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
          &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
          &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
          &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
          &)-34)
     if (deriv(i) .eq. 34) then
        L(i) = L34
        cycle
     end if
     ! L35 = (-L34*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-34*L33*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-561*L32*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-3)-5984*L31*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-46376*L30*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-278256*L29*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-6)-1344904*L28*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-5379616*L27*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-8)-18156204*L26*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-9)-52451256*L25*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     !      &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     !      &(m*rho+c)**((-m)-10)-131128140*L24*((-m)-10)*((-m)-9)*((-m)-8)*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-11)-286097760*L23*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-548354040*L2&
     !      &2*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     !      &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     !      &*rho+c)**((-m)-13)-927983760*L21*((-m)-13)*((-m)-12)*((-m)-11)*((&
     !      &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     !      &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-13919&
     !      &75640*L20*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     !      &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     !      &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-1855967520*L19*((-&
     !      &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
     !      &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
     !      &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-2203961430*L18*((-m)-&
     !      &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
     !      &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
     !      &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-2333606220*L17&
     !      &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     !      &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     !      &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-1&
     !      &8)-2203961430*L16*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     !      &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     !      &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     !      &)**(m+1)*(m*rho+c)**((-m)-19)-1855967520*L15*((-m)-19)*((-m)-18)*&
     !      &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     !      &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     !      &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20&
     !      &)-1391975640*L14*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16&
     !      &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
     !      &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
     !      &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-927983760*L13*((&
     !      &-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
     !      &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
     !      &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
     !      &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-548354040*L12*((-m)-22)*(&
     !      &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
     !      &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
     !      &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     !      &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-286097760*L11*((-m)-23)*&
     !      &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     !      &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-131128140*L10&
     !      &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     !      &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     !      &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     !      &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     !      &-m)-25)-52451256*L9*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)&
     !      &-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     !      &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     !      &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-18156204*L8*((-m)-26)*((-m)-&
     !      &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     !      &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     !      &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     !      &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     !      &*((-m)-27)-5379616*L7*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     !      &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     !      &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     !      &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     !      &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-134490&
     !      &4*L6*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
     !      &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     !      &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-278256*L5*((-&
     !      &m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23&
     !      &)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-&
     !      &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
     !      &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     !      &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-46376*L4*((&
     !      &-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-2&
     !      &4)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((&
     !      &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     !      &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     !      &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-&
     !      &5984*L3*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-2&
     !      &6)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((&
     !      &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     !      &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     !      &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     !      &m*rho+c)**((-m)-32)-561*L2*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29&
     !      &)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-&
     !      &m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16&
     !      &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
     !      &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
     !      &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-34*L1*((-m)-33)*&
     !      &((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)&
     !      &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     !      &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     !      &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-34)-L0*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*&
     !      &((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     !      &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     !      &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     !      &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     !      &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35&
     !      &)
     ! if (deriv(i) .eq. 35) then
     !    L(i) = L35
     !    cycle
     ! end if
     ! L36 = (-L35*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-35*L34*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-595*L33*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-3)-6545*L32*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-52360*L31*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-324632*L30*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-6)-1623160*L29*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-6724520*L28*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-8)-23535820*L27*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-9)-70607460*L26*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     !      &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     !      &(m*rho+c)**((-m)-10)-183579396*L25*((-m)-10)*((-m)-9)*((-m)-8)*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-11)-417225900*L24*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-834451800*L2&
     !      &3*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     !      &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     !      &*rho+c)**((-m)-13)-1476337800*L22*((-m)-13)*((-m)-12)*((-m)-11)*(&
     !      &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     !      &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-2319&
     !      &959400*L21*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
     !      &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
     !      &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-3247943160*L20*((&
     !      &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     !      &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     !      &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-4059928950*L19*((-m)&
     !      &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-4537567650*L1&
     !      &8*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     !      &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     !      &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     !      &18)-4537567650*L17*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
     !      &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
     !      &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
     !      &o)**(m+1)*(m*rho+c)**((-m)-19)-4059928950*L16*((-m)-19)*((-m)-18)&
     !      &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     !      &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     !      &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-2&
     !      &0)-3247943160*L15*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-1&
     !      &6)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
     !      &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
     !      &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-2319959400*L14*&
     !      &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     !      &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     !      &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     !      &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-1476337800*L13*((-m)-22&
     !      &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
     !      &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
     !      &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
     !      &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-834451800*L12*((-m)-2&
     !      &3)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((&
     !      &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     !      &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-417225900*&
     !      &L11*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     !      &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     !      &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     !      &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     !      &*((-m)-25)-183579396*L10*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*&
     !      &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     !      &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     !      &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     !      &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-70607460*L9*((-m)-26)*(&
     !      &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     !      &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     !      &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-27)-23535820*L8*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-2&
     !      &4)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((&
     !      &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     !      &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     !      &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-&
     !      &6724520*L7*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m&
     !      &)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
     !      &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     !      &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     !      &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-1623160&
     !      &*L6*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*(&
     !      &(-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
     !      &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     !      &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     !      &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-3246&
     !      &32*L5*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     !      &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     !      &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     !      &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     !      &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     !      &-m)-31)-52360*L4*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27&
     !      &)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-&
     !      &m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14&
     !      &)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
     !      &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     !      &**(m+1)*(m*rho+c)**((-m)-32)-6545*L3*((-m)-32)*((-m)-31)*((-m)-30&
     !      &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     !      &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     !      &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     !      &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     !      &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-595*L2&
     !      &*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m&
     !      &)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)&
     !      &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     !      &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     !      &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-34)-35*L1*((-m)-34)*((-m)-33)*((-m)-&
     !      &32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*(&
     !      &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     !      &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     !      &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-35)-L0*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-&
     !      &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     !      &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     !      &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     !      &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     !      &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     !      &)-36)
     ! if (deriv(i) .eq. 36) then
     !    L(i) = L36
     !    cycle
     ! end if
     ! L37 = (-L36*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-36*L35*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-630*L34*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-3)-7140*L33*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-58905*L32*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-376992*L31*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-6)-1947792*L30*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-8347680*L29*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-8)-30260340*L28*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-9)-94143280*L27*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     !      &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     !      &(m*rho+c)**((-m)-10)-254186856*L26*((-m)-10)*((-m)-9)*((-m)-8)*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-11)-600805296*L25*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-1251677700*L&
     !      &24*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     !      &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     !      &m*rho+c)**((-m)-13)-2310789600*L23*((-m)-13)*((-m)-12)*((-m)-11)*&
     !      &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     !      &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-379&
     !      &6297200*L22*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
     !      &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
     !      &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-5567902560*L21*(&
     !      &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
     !      &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
     !      &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-7307872110*L20*((-m&
     !      &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-8597496600*L&
     !      &19*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     !      &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     !      &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     !      &-18)-9075135300*L18*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
     !      &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
     !      &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     !      &ho)**(m+1)*(m*rho+c)**((-m)-19)-8597496600*L17*((-m)-19)*((-m)-18&
     !      &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     !      &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     !      &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     !      &20)-7307872110*L16*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-&
     !      &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
     !      &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
     !      &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-5567902560*L15&
     !      &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     !      &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     !      &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     !      &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-3796297200*L14*((-m)-2&
     !      &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     !      &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     !      &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     !      &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-2310789600*L13*((-m)&
     !      &-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
     !      &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     !      &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     !      &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-12516777&
     !      &00*L12*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
     !      &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
     !      &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
     !      &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
     !      &c)**((-m)-25)-600805296*L11*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
     !      &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     !      &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     !      &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     !      &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-254186856*L10*((-m)-&
     !      &26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*(&
     !      &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
     !      &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     !      &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     !      &(m*rho+c)**((-m)-27)-94143280*L9*((-m)-27)*((-m)-26)*((-m)-25)*((&
     !      &-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-1&
     !      &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     !      &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     !      &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     !      &-28)-30260340*L8*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24&
     !      &)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-&
     !      &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
     !      &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     !      &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-8&
     !      &347680*L7*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     !      &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     !      &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     !      &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     !      &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30&
     !      &)-1947792*L6*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((&
     !      &-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-1&
     !      &9)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
     !      &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
     !      &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
     !      &+c)**((-m)-31)-376992*L5*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*&
     !      &((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)&
     !      &-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     !      &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     !      &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-58905*L4*((-m)-32)*((-m)-31)&
     !      &*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m&
     !      &)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     !      &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     !      &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     !      &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-3&
     !      &3)-7140*L3*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m&
     !      &)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)&
     !      &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     !      &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     !      &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     !      &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-34)-630*L2*((-m)-34)*((-m)&
     !      &-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*&
     !      &((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)&
     !      &-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*&
     !      &((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
     !      &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     !      &(m+1)*(m*rho+c)**((-m)-35)-36*L1*((-m)-35)*((-m)-34)*((-m)-33)*((&
     !      &-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-2&
     !      &6)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((&
     !      &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     !      &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     !      &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     !      &m*rho+c)**((-m)-36)-L0*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((&
     !      &-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-2&
     !      &6)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((&
     !      &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     !      &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     !      &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     !      &m*rho+c)**((-m)-37)
     ! if (deriv(i) .eq. 37) then
     !    L(i) = L37
     !    cycle
     ! end if
     ! L38 = (-L37*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-37*L36*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-666*L35*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-3)-7770*L34*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-66045*L33*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-435897*L32*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-6)-2324784*L31*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-10295472*L30*(&
     !      &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-8)-38608020*L29*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-9)-124403620*L28*((-m)-9)*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-10)-348330136*L27*((-m)-10)*((-m)-9)*((-m)-8)*&
     !      &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     !      &*rho)**(m+1)*(m*rho+c)**((-m)-11)-854992152*L26*((-m)-11)*((-m)-1&
     !      &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-1852482996&
     !      &*L25*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-13)-3562467300*L24*((-m)-13)*((-m)-12)*((-m)-11&
     !      &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     !      &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-6&
     !      &107086800*L23*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
     !      &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
     !      &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-9364199760*L22&
     !      &*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
     !      &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
     !      &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-12875774670*L21*(&
     !      &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     !      &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     !      &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-159053687&
     !      &10*L20*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12&
     !      &)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5&
     !      &)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**(&
     !      &(-m)-18)-17672631900*L19*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     !      &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     !      &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-17672631900*L18*((-m)-19)*((&
     !      &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     !      &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     !      &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     !      &((-m)-20)-15905368710*L17*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
     !      &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     !      &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     !      &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-1287577&
     !      &4670*L16*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-&
     !      &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
     !      &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
     !      &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-9364199760*L15&
     !      &*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
     !      &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-6107086800*L&
     !      &14*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((&
     !      &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     !      &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     !      &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-&
     !      &3562467300*L13*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     !      &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     !      &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-25)-1852482996*L12*((-m)-25)*((-m)-24)*((-m)-23&
     !      &)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-&
     !      &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
     !      &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     !      &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-854992152*L&
     !      &11*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     !      &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     !      &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     !      &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     !      &)**(m+1)*(m*rho+c)**((-m)-27)-348330136*L10*((-m)-27)*((-m)-26)*(&
     !      &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     !      &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     !      &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-28)-124403620*L9*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
     !      &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     !      &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     !      &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     !      &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     !      &*((-m)-29)-38608020*L8*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((&
     !      &-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-1&
     !      &9)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
     !      &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
     !      &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
     !      &+c)**((-m)-30)-10295472*L7*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27&
     !      &)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-&
     !      &m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14&
     !      &)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
     !      &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     !      &**(m+1)*(m*rho+c)**((-m)-31)-2324784*L6*((-m)-31)*((-m)-30)*((-m)&
     !      &-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
     !      &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     !      &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-435897*L5*((-&
     !      &m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26&
     !      &)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
     !      &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     !      &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     !      &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     !      &*rho+c)**((-m)-33)-66045*L4*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-3&
     !      &0)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((&
     !      &-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-1&
     !      &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     !      &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     !      &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-34)-7770*&
     !      &L3*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((&
     !      &-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
     !      &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     !      &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     !      &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     !      &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)-666*L2*((-m)-35)*((-&
     !      &m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28&
     !      &)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     !      &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     !      &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     !      &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-36)-37*L1*((-m)-36)*((-m)-35)*&
     !      &((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)&
     !      &-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*&
     !      &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     !      &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     !      &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     !      &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37)-L0*((-m)-37)*((-m)-36)*&
     !      &((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)&
     !      &-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
     !      &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     !      &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-38)
     ! if (deriv(i) .eq. 38) then
     !    L(i) = L38
     !    cycle
     ! end if
     ! L39 = (-L38*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-38*L37*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-703*L36*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-3)-8436*L35*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-73815*L34*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-501942*L33*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-6)-2760681*L32*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-12620256*L31*(&
     !      &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-8)-48903492*L30*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-9)-163011640*L29*((-m)-9)*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-10)-472733756*L28*((-m)-10)*((-m)-9)*((-m)-8)*&
     !      &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     !      &*rho)**(m+1)*(m*rho+c)**((-m)-11)-1203322288*L27*((-m)-11)*((-m)-&
     !      &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     !      &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-270747514&
     !      &8*L26*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-13)-5414950296*L25*((-m)-13)*((-m)-12)*((-m)-1&
     !      &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     !      &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-&
     !      &9669554100*L24*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-15471286560*L&
     !      &23*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
     !      &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
     !      &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-22239974430*L22&
     !      &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     !      &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     !      &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-2878114&
     !      &3380*L21*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     !      &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     !      &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     !      &*((-m)-18)-33578000610*L20*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     !      &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     !      &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-35345263800*L19*((-m)-19)*&
     !      &((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)&
     !      &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     !      &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     !      &**((-m)-20)-33578000610*L18*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-1&
     !      &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     !      &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     !      &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-28781&
     !      &143380*L17*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
     !      &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-22239974430*&
     !      &L16*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     !      &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     !      &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     !      &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-154712865&
     !      &60*L15*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
     !      &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     !      &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     !      &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     !      &24)-9669554100*L14*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-&
     !      &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
     !      &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     !      &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     !      &m+1)*(m*rho+c)**((-m)-25)-5414950296*L13*((-m)-25)*((-m)-24)*((-m&
     !      &)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
     !      &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     !      &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     !      &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-2707475&
     !      &148*L12*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-2&
     !      &1)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
     !      &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
     !      &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     !      &m*rho)**(m+1)*(m*rho+c)**((-m)-27)-1203322288*L11*((-m)-27)*((-m)&
     !      &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     !      &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     !      &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-28)-472733756*L10*((-m)-28)*((-m)-27)*((-m)-26)&
     !      &*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m&
     !      &)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
     !      &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
     !      &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     !      &rho+c)**((-m)-29)-163011640*L9*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     !      &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     !      &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     !      &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-30)-48903492*L8*((-m)-30)*((-m)-29)*((-m)-28)*&
     !      &((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)&
     !      &-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     !      &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     !      &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-12620256*L7*((-m)-31)*((-m)-&
     !      &30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*(&
     !      &(-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
     !      &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     !      &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     !      &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-2760&
     !      &681*L6*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27&
     !      &)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-&
     !      &m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14&
     !      &)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
     !      &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     !      &**(m+1)*(m*rho+c)**((-m)-33)-501942*L5*((-m)-33)*((-m)-32)*((-m)-&
     !      &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     !      &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     !      &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     !      &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     !      &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     !      &)-34)-73815*L4*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*&
     !      &((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)&
     !      &-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
     !      &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     !      &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     !      &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)-8436*L3*&
     !      &((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)&
     !      &-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
     !      &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     !      &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     !      &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-36)-703*L2*((-m)-&
     !      &36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*(&
     !      &(-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     !      &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     !      &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     !      &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     !      &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37)-38*L1*((-&
     !      &m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31&
     !      &)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-&
     !      &m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
     !      &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     !      &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     !      &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     !      &38)-L0*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33&
     !      &)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-&
     !      &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
     !      &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     !      &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     !      &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     !      &1)*(m*rho+c)**((-m)-39)
     ! if (deriv(i) .eq. 39) then
     !    L(i) = L39
     !    cycle
     ! end if
     ! L40 = (-L39*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-39*L38*((-m)-1)&
     !      &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-741*L37*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-3)-9139*L36*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-82251*L35*((-m)-4)*((-m)-3)&
     !      &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-575757*L34*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-6)-3262623*L33*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     !      &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-15380937*L32*(&
     !      &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     !      &rho)**(m+1)*(m*rho+c)**((-m)-8)-61523748*L31*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-9)-211915132*L30*((-m)-9)*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-10)-635745396*L29*((-m)-10)*((-m)-9)*((-m)-8)*&
     !      &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     !      &*rho)**(m+1)*(m*rho+c)**((-m)-11)-1676056044*L28*((-m)-11)*((-m)-&
     !      &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     !      &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-391079743&
     !      &6*L27*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     !      &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     !      &)*(m*rho+c)**((-m)-13)-8122425444*L26*((-m)-13)*((-m)-12)*((-m)-1&
     !      &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     !      &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)-&
     !      &15084504396*L25*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     !      &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     !      &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-25140840660*&
     !      &L24*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
     !      &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
     !      &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-37711260990*L2&
     !      &3*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     !      &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     !      &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-510211&
     !      &17810*L22*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)&
     !      &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     !      &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     !      &**((-m)-18)-62359143990*L21*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
     !      &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
     !      &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
     !      &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-68923264410*L20*((-m)-19)&
     !      &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     !      &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     !      &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     !      &)**((-m)-20)-68923264410*L19*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
     !      &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     !      &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     !      &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-6235&
     !      &9143990*L18*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-&
     !      &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
     !      &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     !      &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-51021117810&
     !      &*L17*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
     !      &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     !      &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     !      &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-37711260&
     !      &990*L16*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-1&
     !      &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     !      &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     !      &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     !      &-24)-25140840660*L15*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m&
     !      &)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     !      &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     !      &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     !      &*(m+1)*(m*rho+c)**((-m)-25)-15084504396*L14*((-m)-25)*((-m)-24)*(&
     !      &(-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
     !      &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     !      &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     !      &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-8122&
     !      &425444*L13*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m&
     !      &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     !      &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     !      &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     !      &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-3910797436*L12*((-m)-27)*((&
     !      &-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-2&
     !      &0)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     !      &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     !      &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     !      &+1)*(m*rho+c)**((-m)-28)-1676056044*L11*((-m)-28)*((-m)-27)*((-m)&
     !      &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     !      &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     !      &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     !      &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     !      &*(m*rho+c)**((-m)-29)-635745396*L10*((-m)-29)*((-m)-28)*((-m)-27)&
     !      &*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m&
     !      &)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     !      &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     !      &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     !      &*(m+1)*(m*rho+c)**((-m)-30)-211915132*L9*((-m)-30)*((-m)-29)*((-m&
     !      &)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)&
     !      &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     !      &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     !      &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     !      &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-61523748*L8*((-m)-31)*&
     !      &((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     !      &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     !      &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     !      &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     !      &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32&
     !      &)-15380937*L7*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*(&
     !      &(-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-&
     !      &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
     !      &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
     !      &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     !      &(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-3262623*L6*((-m)-33)*((-m)-32&
     !      &)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-&
     !      &m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
     !      &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
     !      &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
     !      &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
     !      &c)**((-m)-34)-575757*L5*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*(&
     !      &(-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-&
     !      &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
     !      &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     !      &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     !      &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)&
     !      &-82251*L4*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)&
     !      &-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*&
     !      &((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)&
     !      &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     !      &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     !      &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-36)-913&
     !      &9*L3*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*&
     !      &((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     !      &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     !      &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     !      &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     !      &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37&
     !      &)-741*L2*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-&
     !      &32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*(&
     !      &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     !      &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     !      &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     !      &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     !      &o+c)**((-m)-38)-39*L1*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-&
     !      &m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28&
     !      &)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     !      &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     !      &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     !      &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     !      &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-39)-L0*((-m)-39)*((-m)-38)*((-&
     !      &m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31&
     !      &)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-&
     !      &m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
     !      &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     !      &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     !      &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     !      &40)
     ! if (deriv(i) .eq. 40) then
     !    L(i) = L40
     !    cycle
     ! end if
     ! L41 = (-L40*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-40*L39*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-780*L38*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-3)-9880*L37*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-91390*L36*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-658008*L35*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-6)-3838380*L34*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     ! &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-18643560*L33*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-8)-76904685*L32*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-9)-273438880*L31*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-10)-847660528*L30*((-m)-10)*((-m)-9)*((-m)-8)*&
     ! &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-11)-2311801440*L29*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-558685348&
     ! &0*L28*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-13)-12033222880*L27*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-14)&
     ! &-23206929840*L26*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
     ! &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     ! &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-40225345056&
     ! &*L25*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     ! &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     ! &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-62852101650*L&
     ! &24*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-88732&
     ! &378800*L23*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     ! &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     ! &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     ! &)**((-m)-18)-113380261800*L22*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     ! &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-131282408400*L21*((-m)-&
     ! &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     ! &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-20)-137846528820*L20*((-m)-20)*((-m)-19)*((-m)-18)*((&
     ! &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-21)-&
     ! &131282408400*L19*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-113380&
     ! &261800*L18*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m&
     ! &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
     ! &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
     ! &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-23)-88&
     ! &732378800*L17*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-24)-62852101650*L16*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21&
     ! &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
     ! &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
     ! &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-25)-40225345056*L15*((-m)-25)*((-m)&
     ! &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     ! &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     ! &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     ! &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26&
     ! &)-23206929840*L14*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
     ! &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     ! &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     ! &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     ! &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-12033222880*L13*((-m&
     ! &)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)&
     ! &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-28)-5586853480*L12*((-m)-28)*((-m)-2&
     ! &7)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-29)-2311801440*L11*((-m)-29)*((-m)-28)*&
     ! &((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)&
     ! &-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     ! &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     ! &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-847660528*L10*((-m)-30)*((-m&
     ! &)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)&
     ! &*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
     ! &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     ! &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     ! &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-273438880*L9&
     ! &*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m&
     ! &)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)&
     ! &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     ! &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     ! &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     ! &)**((-m)-32)-76904685*L8*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*&
     ! &((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)&
     ! &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-18643560*L7*((-m)-&
     ! &33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*(&
     ! &(-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-&
     ! &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
     ! &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-34)-3838380*L6*((-m)-34)*((-m)-33)*((-m)-32&
     ! &)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-&
     ! &m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
     ! &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
     ! &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
     ! &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
     ! &c)**((-m)-35)-658008*L5*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*(&
     ! &(-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
     ! &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-36)-91390*L4*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)&
     ! &-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*&
     ! &((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)&
     ! &-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*&
     ! &((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)&
     ! &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
     ! &ho+c)**((-m)-37)-9880*L3*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*&
     ! &((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)&
     ! &-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*&
     ! &((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
     ! &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
     ! &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     ! &ho)**(m+1)*(m*rho+c)**((-m)-38)-780*L2*((-m)-38)*((-m)-37)*((-m)-&
     ! &36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*(&
     ! &(-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     ! &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     ! &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-39)-40*L1*((-&
     ! &m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33&
     ! &)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-&
     ! &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
     ! &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-40)-L0*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37&
     ! &)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-&
     ! &m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24&
     ! &)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-&
     ! &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
     ! &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     ! &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-41)
     !      if (deriv(i) .eq. 41) then
     !         L(i) = L41
     !         cycle
     !      end if
     ! L42 = (-L41*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-41*L40*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-820*L39*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-3)-10660*L38*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-101270*L37*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-749398*L3&
     ! &6*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-6)-4496388*L35*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     ! &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-22481940*L34&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-8)-95548245*L33*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-9)-350343565*L32*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-10)-1121099408*L31*((-m)-10)*((-m)-9)*((-m)-&
     ! &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-3159461968*L30*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-789865&
     ! &4920*L29*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-13)-17620076360*L28*((-m)-13)*((-m)-12)*((-&
     ! &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     ! &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     ! &14)-35240152720*L27*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     ! &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-63432274&
     ! &896*L26*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     ! &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-1030774467&
     ! &06*L25*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
     ! &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     ! &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)-1&
     ! &51584480450*L24*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
     ! &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
     ! &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-18)-202112640600*L23*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-244662670200*L22*(&
     ! &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
     ! &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     ! &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     ! &(m*rho+c)**((-m)-20)-269128937220*L21*((-m)-20)*((-m)-19)*((-m)-1&
     ! &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     ! &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     ! &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     ! &-21)-269128937220*L20*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-&
     ! &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
     ! &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     ! &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)-2&
     ! &44662670200*L19*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     ! &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     ! &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     ! &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-2&
     ! &3)-202112640600*L18*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)&
     ! &-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*&
     ! &((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)&
     ! &*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*r&
     ! &ho+c)**((-m)-24)-151584480450*L17*((-m)-24)*((-m)-23)*((-m)-22)*(&
     ! &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
     ! &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
     ! &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-103077446706*L16*((-m)-2&
     ! &5)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((&
     ! &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-26)-63432274896*L15*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)&
     ! &*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
     ! &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     ! &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     ! &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-35240152720*&
     ! &L14*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*(&
     ! &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
     ! &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
     ! &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-17620076360*L13*((-m)-28&
     ! &)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     ! &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     ! &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-7898654920*L12*((-m)-29)*(&
     ! &(-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-&
     ! &22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*(&
     ! &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
     ! &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
     ! &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-3159461968*L11*((-m&
     ! &)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)&
     ! &*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m&
     ! &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
     ! &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
     ! &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-11&
     ! &21099408*L10*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((&
     ! &-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-2&
     ! &0)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     ! &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-32)-350343565*L9*((-m)-32)*((-m)-31)*((-m)-3&
     ! &0)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((&
     ! &-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-1&
     ! &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-95548&
     ! &245*L8*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28&
     ! &)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     ! &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     ! &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-34)-22481940*L7*((-m)-34)*((-m&
     ! &)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)&
     ! &*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m&
     ! &)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     ! &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-35)-4496388*L6*((-m)-35)*((-m)-34)*((-m)-&
     ! &33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*(&
     ! &(-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-&
     ! &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
     ! &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-36)-749398*L5*((-m)-36)*((-m)-35)*((-m)-34)&
     ! &*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m&
     ! &)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)&
     ! &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-37)-101270*L4*((-m)-37)*((-m)-36)*((&
     ! &-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-2&
     ! &9)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((&
     ! &-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-1&
     ! &6)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
     ! &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
     ! &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-38)-10660*L3*((-m)-&
     ! &38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*(&
     ! &(-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
     ! &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-39)-820*L2*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-3&
     ! &5)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((&
     ! &-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
     ! &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     ! &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     ! &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     ! &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-40)-41*L1*((-m)-40)*((-m&
     ! &)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)&
     ! &*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     ! &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-41)-L0*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)&
     ! &*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m&
     ! &)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-42)
     !      if (deriv(i) .eq. 42) then
     !         L(i) = L42
     !         cycle
     !      end if
     ! L43 = (-L42*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-42*L41*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-861*L40*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-3)-11480*L39*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-111930*L38*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-850668*L3&
     ! &7*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-6)-5245786*L36*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     ! &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-26978328*L35&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-8)-118030185*L34*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-9)-445891810*L33*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-10)-1471442973*L32*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-4280561376*L31*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-11058&
     ! &116888*L30*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-13)-25518731280*L29*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-14)-52860229080*L28*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-986724&
     ! &27616*L27*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     ! &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-16650972&
     ! &1602*L26*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17)&
     ! &-254661927156*L25*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     ! &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     ! &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-18)-353697121050*L24*((-m)-18)*((-m)-17)*((-m)-16&
     ! &)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-&
     ! &m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)&
     ! &-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-446775310800*L23&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-20)-513791607420*L22*((-m)-20)*((-m)-19)*((-m)&
     ! &-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*&
     ! &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
     ! &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
     ! &m)-21)-538257874440*L21*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
     ! &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-22)&
     ! &-513791607420*L20*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-1&
     ! &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     ! &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     ! &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     ! &-23)-446775310800*L19*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
     ! &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     ! &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     ! &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-24)-353697121050*L18*((-m)-24)*((-m)-23)*((-m)-22)&
     ! &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     ! &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     ! &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     ! &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-254661927156*L17*((-m)&
     ! &-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*&
     ! &((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)&
     ! &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     ! &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     ! &**((-m)-26)-166509721602*L16*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     ! &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     ! &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-986724276&
     ! &16*L15*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
     ! &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
     ! &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
     ! &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
     ! &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-52860229080*L14*((-m)&
     ! &-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*&
     ! &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     ! &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-25518731280*L13*((-m)-2&
     ! &9)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((&
     ! &-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-1&
     ! &6)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
     ! &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
     ! &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-11058116888*L12&
     ! &*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m&
     ! &)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     ! &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     ! &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     ! &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-3&
     ! &1)-4280561376*L11*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-2&
     ! &7)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-32)-1471442973*L10*((-m)-32)*((-m)-31)*&
     ! &((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     ! &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     ! &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     ! &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     ! &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33&
     ! &)-445891810*L9*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*&
     ! &((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)&
     ! &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-34)-118030185*L8*((-m)&
     ! &-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*&
     ! &((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)&
     ! &-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     ! &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     ! &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)-26978328*L7*((-m)-35)*((-m)-&
     ! &34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*(&
     ! &(-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-&
     ! &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
     ! &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
     ! &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     ! &(m*rho)**(m+1)*(m*rho+c)**((-m)-36)-5245786*L6*((-m)-36)*((-m)-35&
     ! &)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-&
     ! &m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
     ! &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
     ! &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
     ! &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
     ! &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37)-850668*L5*((-m)-37)*(&
     ! &(-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-&
     ! &30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*(&
     ! &(-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
     ! &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     ! &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     ! &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-38)-1119&
     ! &30*L4*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)&
     ! &*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     ! &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-39)-11480*L3*((-m)-39)*((-m)-38)*((-m)-37)*((-&
     ! &m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30&
     ! &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     ! &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-40)-861*L2&
     ! &*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m&
     ! &)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)&
     ! &*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m&
     ! &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     ! &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-41)-42*L1*((-m)-41)*((-m)-40)*(&
     ! &(-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-&
     ! &33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*(&
     ! &(-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-&
     ! &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
     ! &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-42)-L0*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-&
     ! &39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*(&
     ! &(-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-&
     ! &26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*(&
     ! &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
     ! &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     ! &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     ! &(m*rho+c)**((-m)-43)
     !      if (deriv(i) .eq. 43) then
     !         L(i) = L43
     !         cycle
     !      end if
     ! L44 = (-L43*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-43*L42*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-903*L41*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-3)-12341*L40*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-123410*L39*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-962598*L3&
     ! &8*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-6)-6096454*L37*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     ! &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-32224114*L36&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-8)-145008513*L35*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-9)-563921995*L34*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-10)-1917334783*L33*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-5752004349*L32*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-15338&
     ! &678264*L31*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-13)-36576848168*L30*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-14)-78378960360*L29*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-151532&
     ! &656696*L28*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     ! &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-2651821&
     ! &49218*L27*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     ! &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     ! &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-17&
     ! &)-421171648758*L26*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
     ! &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     ! &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     ! &(m*rho+c)**((-m)-18)-608359048206*L25*((-m)-18)*((-m)-17)*((-m)-1&
     ! &6)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
     ! &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
     ! &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-800472431850*L2&
     ! &4*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-20)-960566918220*L23*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-21)-1052049481860*L22*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     ! &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     ! &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     ! &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-2&
     ! &2)-1052049481860*L21*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-23)-960566918220*L20*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     ! &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     ! &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     ! &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     ! &*(m*rho+c)**((-m)-24)-800472431850*L19*((-m)-24)*((-m)-23)*((-m)-&
     ! &22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*(&
     ! &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
     ! &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
     ! &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-608359048206*L18*((&
     ! &-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-1&
     ! &9)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
     ! &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
     ! &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
     ! &+c)**((-m)-26)-421171648758*L17*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     ! &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-27)-265182&
     ! &149218*L16*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m&
     ! &)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)&
     ! &*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
     ! &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
     ! &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-151532656696*L15*&
     ! &((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)&
     ! &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-78378960360*L14*((&
     ! &-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-2&
     ! &3)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((&
     ! &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     ! &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-3657684816&
     ! &8*L13*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-31)-15338678264*L12*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*(&
     ! &(-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-&
     ! &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
     ! &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
     ! &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     ! &(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-5752004349*L11*((-m)-32)*((-m&
     ! &)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-33)-1917334783*L10*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((&
     ! &-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-2&
     ! &3)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((&
     ! &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     ! &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-34)-563921995*&
     ! &L9*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((&
     ! &-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
     ! &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     ! &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     ! &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     ! &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)-145008513*L8*((-m)-3&
     ! &5)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((&
     ! &-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-2&
     ! &2)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((&
     ! &-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9&
     ! &)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*&
     ! &((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-36)-32224114*L7*((-m)-36&
     ! &)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-&
     ! &m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23&
     ! &)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-&
     ! &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
     ! &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     ! &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37)-6096454*L6*&
     ! &((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)&
     ! &-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*&
     ! &((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)&
     ! &-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*&
     ! &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
     ! &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
     ! &m)-38)-962598*L5*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34&
     ! &)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-&
     ! &m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21&
     ! &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
     ! &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
     ! &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-39)-123410*L4*((-m)-39)*((-m)-38)*(&
     ! &(-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-&
     ! &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     ! &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     ! &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-40)-12341*L3*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*&
     ! &((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)&
     ! &-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
     ! &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     ! &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     ! &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     ! &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-41)-903*L2*((-m)-&
     ! &41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*(&
     ! &(-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-&
     ! &28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*(&
     ! &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
     ! &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
     ! &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-42)-43*L1*((-m)-42)*((-m)-41&
     ! &)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-&
     ! &m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28&
     ! &)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     ! &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     ! &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-43)-L0*((-m)-43)*((-m)-42)*((-&
     ! &m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35&
     ! &)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-&
     ! &m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
     ! &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
     ! &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
     ! &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
     ! &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-44)
     !      if (deriv(i) .eq. 44) then
     !         L(i) = L44
     !         cycle
     !      end if
     ! L45 = (-L44*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-44*L43*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-946*L42*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-3)-13244*L41*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-135751*L40*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1086008*L&
     ! &39*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-6)-7059052*L38*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-38320568*L3&
     ! &7*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     ! &(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-177232627*L36*((-m)-8)*((-m)-7&
     ! &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     ! &(m+1)*(m*rho+c)**((-m)-9)-708930508*L35*((-m)-9)*((-m)-8)*((-m)-7&
     ! &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     ! &(m+1)*(m*rho+c)**((-m)-10)-2481256778*L34*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-7669339132*L33*((-m)-11)*(&
     ! &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     ! &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-2109&
     ! &0682613*L32*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)&
     ! &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     ! &**(m+1)*(m*rho+c)**((-m)-13)-51915526432*L31*((-m)-13)*((-m)-12)*&
     ! &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
     ! &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
     ! &m)-14)-114955808528*L30*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     ! &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     ! &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-2299&
     ! &11617056*L29*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-41671&
     ! &4805914*L28*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     ! &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     ! &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     ! &17)-686353797976*L27*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-18)-1029530696964*L26*((-m)-18)*((-m)-17)*((-m&
     ! &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     ! &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     ! &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-140883148005&
     ! &6*L25*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     ! &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-20)-1761039350070*L24*((-m)-20)*((-m)-19)&
     ! &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     ! &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     ! &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     ! &)**((-m)-21)-2012616400080*L23*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-22)-2104098963720*L22*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)&
     ! &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     ! &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     ! &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     ! &)**((-m)-23)-2012616400080*L21*((-m)-23)*((-m)-22)*((-m)-21)*((-m&
     ! &)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     ! &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-24)-1761039350070*L20*((-m)-24)*((-m)-23)&
     ! &*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
     ! &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     ! &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     ! &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-140883148005&
     ! &6*L19*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-26)-1029530696964*L18*((-m)-26)*((-m)-25)*((-m&
     ! &)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     ! &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     ! &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     ! &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-2&
     ! &7)-686353797976*L17*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)&
     ! &-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
     ! &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     ! &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-41671480&
     ! &5914*L16*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     ! &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     ! &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-229911617&
     ! &056*L15*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-2&
     ! &4)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((&
     ! &-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-30)-&
     ! &114955808528*L14*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26&
     ! &)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
     ! &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     ! &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     ! &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-31)-51915526432*L13*((-m)-31)*((-m)-30)*((-m)-29)*&
     ! &((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)&
     ! &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-21090682613*L12*((&
     ! &-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-2&
     ! &6)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((&
     ! &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     ! &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     ! &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-33)-7669339132*L11*((-m)-33)*((-m)-32)*((-m)-31)*&
     ! &((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     ! &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     ! &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     ! &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     ! &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-34&
     ! &)-2481256778*L10*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30&
     ! &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     ! &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)-708930&
     ! &508*L9*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30&
     ! &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     ! &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-36)-177232&
     ! &627*L8*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31&
     ! &)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-&
     ! &m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
     ! &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     ! &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     ! &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     ! &37)-38320568*L7*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)&
     ! &*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     ! &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-38)-7059052*L6*((-m)-38)*((-m)-37)*((-m)-36)*(&
     ! &(-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-&
     ! &29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*(&
     ! &(-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-&
     ! &16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*(&
     ! &(-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-&
     ! &m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-39)-1086008*L5*((-&
     ! &m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33&
     ! &)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-&
     ! &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
     ! &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-40)-135751*L4*((-m)-40)*((-m)-39)*((-m)-38)*(&
     ! &(-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-&
     ! &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     ! &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     ! &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-41)-13244*L3*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*&
     ! &((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)&
     ! &-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*&
     ! &((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)&
     ! &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-42)-946&
     ! &*L2*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*(&
     ! &(-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-&
     ! &30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*(&
     ! &(-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-&
     ! &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     ! &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     ! &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-43)-44*L&
     ! &1*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-&
     ! &m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31&
     ! &)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-&
     ! &m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
     ! &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     ! &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     ! &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     ! &44)-L0*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39&
     ! &)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-&
     ! &m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26&
     ! &)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
     ! &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     ! &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     ! &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-45)
     !      if (deriv(i) .eq. 45) then
     !         L(i) = L45
     !         cycle
     !      end if
     ! L46 = (-L45*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-45*L44*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-990*L43*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-3)-14190*L42*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-148995*L41*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1221759*L&
     ! &40*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-6)-8145060*L39*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-45379620*L3&
     ! &8*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     ! &(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-215553195*L37*((-m)-8)*((-m)-7&
     ! &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     ! &(m+1)*(m*rho+c)**((-m)-9)-886163135*L36*((-m)-9)*((-m)-8)*((-m)-7&
     ! &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     ! &(m+1)*(m*rho+c)**((-m)-10)-3190187286*L35*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-10150595910*L34*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-287&
     ! &60021745*L33*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-13)-73006209045*L32*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-14)-166871334960*L31*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-344&
     ! &867425584*L30*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     ! &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     ! &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-6466&
     ! &26422970*L29*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     ! &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     ! &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     ! &-17)-1103068603890*L28*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     ! &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-18)-1715884494940*L27*((-m)-18)*((-m)-17)*((&
     ! &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     ! &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-2438362177&
     ! &020*L26*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-20)-3169870830126*L25*((-m)-20)*((-m)-1&
     ! &9)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
     ! &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
     ! &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
     ! &+c)**((-m)-21)-3773655750150*L24*((-m)-21)*((-m)-20)*((-m)-19)*((&
     ! &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-22)-4116715363800*L23*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-1&
     ! &9)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
     ! &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
     ! &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
     ! &+c)**((-m)-23)-4116715363800*L22*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-24)-3773655750150*L21*((-m)-24)*((-m)-2&
     ! &3)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((&
     ! &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     ! &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-3169870830&
     ! &126*L20*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-2&
     ! &0)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     ! &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-26)-2438362177020*L19*((-m)-26)*((-m)-25)*((&
     ! &-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-1&
     ! &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     ! &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     ! &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     ! &-27)-1715884494940*L18*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((&
     ! &-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-1&
     ! &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-11030&
     ! &68603890*L17*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((&
     ! &-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-1&
     ! &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-64662&
     ! &6422970*L16*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-&
     ! &m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18&
     ! &)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-&
     ! &m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-&
     ! &m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-&
     ! &30)-344867425584*L15*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     ! &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-31)-166871334960*L14*((-m)-31)*((-m)-30)*((-m)&
     ! &-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*&
     ! &((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)&
     ! &-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*&
     ! &((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((&
     ! &-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-73006209045*L&
     ! &13*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((&
     ! &-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-2&
     ! &0)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     ! &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-33)-28760021745*L12*((-m)-33)*((-m)-32)*((-m&
     ! &)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-34)-10150595910*L11*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*(&
     ! &(-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-&
     ! &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
     ! &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-35)&
     ! &-3190187286*L10*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)&
     ! &*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m&
     ! &)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     ! &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     ! &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     ! &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-3&
     ! &6)-886163135*L9*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)&
     ! &*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m&
     ! &)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)&
     ! &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     ! &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     ! &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     ! &)**((-m)-37)-215553195*L8*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)&
     ! &*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m&
     ! &)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)&
     ! &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-38)-45379620*L7*((-m)-38)*((-m)-37)*&
     ! &((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)&
     ! &-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*&
     ! &((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)&
     ! &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-39)-814&
     ! &5060*L6*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-3&
     ! &4)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((&
     ! &-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-2&
     ! &1)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
     ! &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-40)-1221759*L5*((-m)-40)*((-m)-39)&
     ! &*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m&
     ! &)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)&
     ! &*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m&
     ! &)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
     ! &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
     ! &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-41)-148995*L4*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-3&
     ! &8)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((&
     ! &-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-2&
     ! &5)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((&
     ! &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-42)-14190*L3*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-&
     ! &38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*(&
     ! &(-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
     ! &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-43)-990*L2*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-3&
     ! &9)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((&
     ! &-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-2&
     ! &6)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((&
     ! &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     ! &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     ! &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-44)-45*L1*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)&
     ! &*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m&
     ! &)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)&
     ! &*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m&
     ! &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     ! &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-45)-L0*((-m)-45)*((-m)-44)*((-m&
     ! &)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)&
     ! &*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m&
     ! &)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)&
     ! &*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m&
     ! &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
     ! &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
     ! &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-46)
     !      if (deriv(i) .eq. 46) then
     !         L(i) = L46
     !         cycle
     !      end if
     ! L47 = (-L46*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-46*L45*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-1035*L44*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-3)-15180*L43*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-163185*L42*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1370754*&
     ! &L41*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-6)-9366819*L40*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-53524680*L&
     ! &39*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-260932815*L38*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-9)-1101716330*L37*((-m)-9)*((-m)-8)*((-m)&
     ! &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     ! &**(m+1)*(m*rho+c)**((-m)-10)-4076350421*L36*((-m)-10)*((-m)-9)*((&
     ! &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-13340783196*L35*((-m)-11&
     ! &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     ! &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-3&
     ! &8910617655*L34*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
     ! &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     ! &ho)**(m+1)*(m*rho+c)**((-m)-13)-101766230790*L33*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-14)-239877544005*L32*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)-&
     ! &511738760544*L31*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
     ! &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     ! &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-9&
     ! &91493848554*L30*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-17)-1749695026860*L29*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     ! &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-18)-2818953098830*L28*((-m)-18)*((-m)-17)&
     ! &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     ! &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-4154246&
     ! &671960*L27*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-20)-5608233007146*L26*((-m)-20)*((-m&
     ! &)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
     ! &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
     ! &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-21)-6943526580276*L25*((-m)-21)*((-m)-20)*((-m)-19)&
     ! &*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m&
     ! &)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-&
     ! &m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c&
     ! &)**((-m)-22)-7890371113950*L24*((-m)-22)*((-m)-21)*((-m)-20)*((-m&
     ! &)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
     ! &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
     ! &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-23)-8233430727600*L23*((-m)-23)*((-m)-22)*((-m)-21)&
     ! &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-24)-7890371113950*L22*((-m)-24)*((-m&
     ! &)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
     ! &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     ! &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-6943526&
     ! &580276*L21*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m&
     ! &)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)&
     ! &*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-&
     ! &7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)*&
     ! &*(m+1)*(m*rho+c)**((-m)-26)-5608233007146*L20*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-27)-4154246671960*L19*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)&
     ! &*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m&
     ! &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
     ! &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
     ! &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-28)-28&
     ! &18953098830*L18*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)&
     ! &*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m&
     ! &)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)&
     ! &*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*&
     ! &((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-29)-17&
     ! &49695026860*L17*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-30)-991493848554*L16*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*&
     ! &((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)&
     ! &-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*&
     ! &((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
     ! &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     ! &(m+1)*(m*rho+c)**((-m)-31)-511738760544*L15*((-m)-31)*((-m)-30)*(&
     ! &(-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     ! &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     ! &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)-239877544&
     ! &005*L14*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-2&
     ! &7)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-33)-101766230790*L13*((-m)-33)*((-m)-32&
     ! &)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-&
     ! &m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
     ! &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
     ! &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
     ! &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
     ! &c)**((-m)-34)-38910617655*L12*((-m)-34)*((-m)-33)*((-m)-32)*((-m)&
     ! &-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*&
     ! &((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)&
     ! &-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*&
     ! &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
     ! &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
     ! &m)-35)-13340783196*L11*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((&
     ! &-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-2&
     ! &5)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((&
     ! &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-36)-4076350421*L10*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*&
     ! &((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)&
     ! &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     ! &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     ! &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     ! &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     ! &*(m*rho+c)**((-m)-37)-1101716330*L9*((-m)-37)*((-m)-36)*((-m)-35)&
     ! &*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m&
     ! &)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)&
     ! &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     ! &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     ! &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     ! &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-38)-260932815*L8*((-m)-38)&
     ! &*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m&
     ! &)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)&
     ! &*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m&
     ! &)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)&
     ! &*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)&
     ! &*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((&
     ! &-m)-39)-53524680*L7*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)&
     ! &-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*&
     ! &((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)&
     ! &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-40)-9366819*L6*((-m)-4&
     ! &0)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((&
     ! &-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-2&
     ! &7)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-41)-1370754*L5*((-m)-41)*((-m)-40)*((-m&
     ! &)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)&
     ! &*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     ! &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-42)-163185*L4*((-m)-42)*((-m)-41)*((-m)-40)*((&
     ! &-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-3&
     ! &3)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((&
     ! &-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-2&
     ! &0)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     ! &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-43)-15180*L3*((-m)-43)*((-m)-42)*((-m)-41)*(&
     ! &(-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-&
     ! &34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*(&
     ! &(-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-&
     ! &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
     ! &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
     ! &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     ! &(m*rho)**(m+1)*(m*rho+c)**((-m)-44)-1035*L2*((-m)-44)*((-m)-43)*(&
     ! &(-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-&
     ! &36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*(&
     ! &(-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     ! &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     ! &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-45)-46*L1*((-&
     ! &m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39&
     ! &)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-&
     ! &m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26&
     ! &)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
     ! &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     ! &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     ! &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-46)-L0*((-m)-46)*((-m)-45)*((-m)-44)*((-m)-43)*((-&
     ! &m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36&
     ! &)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-&
     ! &m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23&
     ! &)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-&
     ! &m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10&
     ! &)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*&
     ! &((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-47)
     !      if (deriv(i) .eq. 47) then
     !         L(i) = L47
     !         cycle
     !      end if
     ! L48 = (-L47*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-47*L46*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-1081*L45*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-3)-16215*L44*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-178365*L43*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1533939*&
     ! &L42*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-6)-10737573*L41*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-62891499*&
     ! &L40*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-314457495*L39*((-m)-8)*((-m)&
     ! &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     ! &**(m+1)*(m*rho+c)**((-m)-9)-1362649145*L38*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-10)-5178066751*L37*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-17417133617*L36*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-&
     ! &52251400851*L35*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-13)-140676848445*L34*((-m)-13)*((-m)&
     ! &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     ! &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     ! &**((-m)-14)-341643774795*L33*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)&
     ! &-751616304549*L32*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)-&
     ! &1503232609098*L31*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-17)-2741188875414*L30*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-18)-4568648125690*L29*((-m)-18)*((-m)-1&
     ! &7)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((&
     ! &-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-&
     ! &m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-69731&
     ! &99770790*L28*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
     ! &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-20)-9762479679106*L27*((-m)-20)*((&
     ! &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     ! &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     ! &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-21)-12551759587422*L26*((-m)-21)*((-m)-20)*((-m)-&
     ! &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     ! &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-22)-14833897694226*L25*((-m)-22)*((-m)-21)*((-m)-20)*&
     ! &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     ! &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     ! &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     ! &*(m*rho+c)**((-m)-23)-16123801841550*L24*((-m)-23)*((-m)-22)*((-m&
     ! &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     ! &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-16123801841550*L23*((-m)-24&
     ! &)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-&
     ! &m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11&
     ! &)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)&
     ! &*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25)-1&
     ! &4833897694226*L22*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-2&
     ! &1)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
     ! &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-26)-12551759587422*L21*((-m)-26)*(&
     ! &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     ! &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     ! &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-27)-9762479679106*L20*((-m)-27)*((-m)-26)*((-m)-25)*(&
     ! &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     ! &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-28)-6973199770790*L19*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     ! &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     ! &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-29)-4568648125690*L18*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*(&
     ! &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     ! &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     ! &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-30)-2741188875414*L17*((-m)-30)*((-m)-29)*((-m)-28)*(&
     ! &(-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-&
     ! &21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*(&
     ! &(-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8&
     ! &)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*&
     ! &(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-1503232609098*L16*((-m)-31)*(&
     ! &(-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-&
     ! &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
     ! &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-32)&
     ! &-751616304549*L15*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-2&
     ! &8)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((&
     ! &-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
     ! &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
     ! &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-341643774795*L14*((-m)-33&
     ! &)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-&
     ! &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
     ! &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-34)-140676848445*L13*((-m)-34)*((-m)-33)*((-m&
     ! &)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)&
     ! &*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m&
     ! &)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)&
     ! &*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6&
     ! &)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*&
     ! &rho+c)**((-m)-35)-52251400851*L12*((-m)-35)*((-m)-34)*((-m)-33)*(&
     ! &(-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-&
     ! &26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*(&
     ! &(-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-&
     ! &13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m&
     ! &)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*&
     ! &(m*rho+c)**((-m)-36)-17417133617*L11*((-m)-36)*((-m)-35)*((-m)-34&
     ! &)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-&
     ! &m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21&
     ! &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
     ! &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
     ! &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-37)-5178066751*L10*((-m)-37)*((-m)-&
     ! &36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*(&
     ! &(-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-&
     ! &23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*(&
     ! &(-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-&
     ! &10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3&
     ! &)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-38)-136264914&
     ! &5*L9*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*&
     ! &((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)&
     ! &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     ! &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     ! &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     ! &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     ! &*(m*rho+c)**((-m)-39)-314457495*L8*((-m)-39)*((-m)-38)*((-m)-37)*&
     ! &((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)&
     ! &-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*&
     ! &((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)&
     ! &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-40)-628&
     ! &91499*L7*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-&
     ! &35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*(&
     ! &(-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-&
     ! &22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*(&
     ! &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
     ! &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
     ! &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-41)-10737573*L6*((-m)-4&
     ! &1)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((&
     ! &-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-2&
     ! &8)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((&
     ! &-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-1&
     ! &5)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-&
     ! &m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)&
     ! &-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-42)-1533939*L5*((-m)-42)*((-m&
     ! &)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)&
     ! &*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m&
     ! &)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)&
     ! &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     ! &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     ! &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     ! &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-43)-178365*L4*((-m)-43)*((&
     ! &-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-3&
     ! &6)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((&
     ! &-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-2&
     ! &3)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((&
     ! &-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-1&
     ! &0)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)&
     ! &*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-44)-16215*L3*(&
     ! &(-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-&
     ! &38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*(&
     ! &(-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
     ! &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-45)-1081*L2*((-m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-&
     ! &41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*(&
     ! &(-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-&
     ! &28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*(&
     ! &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
     ! &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
     ! &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-46)-47*L1*((-m)-46)*((-m)-45&
     ! &)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-&
     ! &m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32&
     ! &)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-&
     ! &m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19&
     ! &)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-&
     ! &m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((&
     ! &-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+&
     ! &c)**((-m)-47)-L0*((-m)-47)*((-m)-46)*((-m)-45)*((-m)-44)*((-m)-43&
     ! &)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-&
     ! &m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30&
     ! &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     ! &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-48)
     !      if (deriv(i) .eq. 48) then
     !         L(i) = L48
     !         cycle
     !      end if
     ! L49 = (-L48*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-48*L47*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-1128*L46*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-3)-17296*L45*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-194580*L44*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1712304*&
     ! &L43*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-6)-12271512*L42*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-73629072*&
     ! &L41*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-377348994*L40*((-m)-8)*((-m)&
     ! &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     ! &**(m+1)*(m*rho+c)**((-m)-9)-1677106640*L39*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-10)-6540715896*L38*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-22595200368*L37*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-&
     ! &69668534468*L36*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-13)-192928249296*L35*((-m)-13)*((-m)&
     ! &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     ! &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     ! &**((-m)-14)-482320623240*L34*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)&
     ! &-1093260079344*L33*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)&
     ! &-2254848913647*L32*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-17)-4244421484512*L31*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
     ! &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
     ! &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
     ! &o)**(m+1)*(m*rho+c)**((-m)-18)-7309837001104*L30*((-m)-18)*((-m)-&
     ! &17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*(&
     ! &(-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((&
     ! &-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-1154&
     ! &1847896480*L29*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*&
     ! &((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-&
     ! &8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-16735679449896*L28*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-21)-22314239266528*L27*((-m)-21)*((-m)-20)*((-&
     ! &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     ! &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     ! &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-22)-27385657281648*L26*((-m)-22)*((-m)-21)*((-m)-2&
     ! &0)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((&
     ! &-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*&
     ! &((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m&
     ! &+1)*(m*rho+c)**((-m)-23)-30957699535776*L25*((-m)-23)*((-m)-22)*(&
     ! &(-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-&
     ! &15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((&
     ! &-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-32247603683100*L24*((-m)&
     ! &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     ! &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     ! &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     ! &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-25&
     ! &)-30957699535776*L23*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m&
     ! &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     ! &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-27385657281648*L22*((-m)-26&
     ! &)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-&
     ! &m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13&
     ! &)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-&
     ! &6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m&
     ! &*rho+c)**((-m)-27)-22314239266528*L21*((-m)-27)*((-m)-26)*((-m)-2&
     ! &5)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((&
     ! &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-28)-16735679449896*L20*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-&
     ! &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-29)-11541847896480*L19*((-m)-29)*((-m)-28)*((-m)-27)*((-m)&
     ! &-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*&
     ! &((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)&
     ! &-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-&
     ! &m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)&
     ! &*(m*rho+c)**((-m)-30)-7309837001104*L18*((-m)-30)*((-m)-29)*((-m)&
     ! &-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*&
     ! &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     ! &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-4244421484512*L17*((-m)&
     ! &-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*&
     ! &((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)&
     ! &-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*&
     ! &((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*&
     ! &((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-&
     ! &m)-32)-2254848913647*L16*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*&
     ! &((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)&
     ! &-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*&
     ! &((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)&
     ! &-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2&
     ! &)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-1093260079344*L15*&
     ! &((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)&
     ! &-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*&
     ! &((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)&
     ! &-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((&
     ! &-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*r&
     ! &ho)**(m+1)*(m*rho+c)**((-m)-34)-482320623240*L14*((-m)-34)*((-m)-&
     ! &33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*(&
     ! &(-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-&
     ! &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
     ! &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-35)-192928249296*L13*((-m)-35)*((-m)-34)*((&
     ! &-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-2&
     ! &7)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-36)-69668534468*L12*((-m)-36)*((-m)-35)&
     ! &*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m&
     ! &)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)&
     ! &*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m&
     ! &)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*&
     ! &((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((&
     ! &-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37)-22595200368*L11*((-m)-&
     ! &37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*(&
     ! &(-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-&
     ! &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
     ! &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-38)&
     ! &-6540715896*L10*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)&
     ! &*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m&
     ! &)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)&
     ! &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-39)-1677106640*L9*((-m)-39)*((-m)-38&
     ! &)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-&
     ! &m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25&
     ! &)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-&
     ! &m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12&
     ! &)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5&
     ! &)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**(&
     ! &(-m)-40)-377348994*L8*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-&
     ! &m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30&
     ! &)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-&
     ! &m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17&
     ! &)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-&
     ! &m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m&
     ! &)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-41)-736290&
     ! &72*L7*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)&
     ! &*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m&
     ! &)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)&
     ! &*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m&
     ! &)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)&
     ! &*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*(&
     ! &(-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-42)-12271512*L6*&
     ! &((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)&
     ! &-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*&
     ! &((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)&
     ! &-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*&
     ! &((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)&
     ! &-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-43)-1712304*&
     ! &L5*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((&
     ! &-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-3&
     ! &1)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((&
     ! &-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-1&
     ! &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     ! &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     ! &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     ! &-44)-194580*L4*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*&
     ! &((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)&
     ! &-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*&
     ! &((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)&
     ! &-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*&
     ! &((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7&
     ! &)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**&
     ! &(m+1)*(m*rho+c)**((-m)-45)-17296*L3*((-m)-45)*((-m)-44)*((-m)-43)&
     ! &*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m&
     ! &)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)&
     ! &*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m&
     ! &)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)&
     ! &*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m&
     ! &)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-46)-1128*L2&
     ! &*((-m)-46)*((-m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m&
     ! &)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)&
     ! &*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m&
     ! &)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)&
     ! &*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m&
     ! &)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-47)-48*L1*((-m)-47)*((-m)-46)*((-m)-&
     ! &45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*(&
     ! &(-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-&
     ! &32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*(&
     ! &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     ! &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     ! &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-48)-L0*((-m)-48)*((-m)-47)*((-m)-46)*((-m)-45)*((-m)-&
     ! &44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*(&
     ! &(-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-&
     ! &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     ! &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     ! &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-49)
     !      if (deriv(i) .eq. 49) then
     !         L(i) = L49
     !         cycle
     !      end if
     ! L50 = (-L49*(m*rho)**(m+1)*(m*rho+c)**((-m)-1))-49*L48*((-m)-1)&
     ! &*(m*rho)**(m+1)*(m*rho+c)**((-m)-2)-1176*L47*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-3)-18424*L46*((-m)-3)*((-m)-2)*((-m&
     ! &)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-4)-211876*L45*((-m)-4)*((-m)&
     ! &-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-5)-1906884*&
     ! &L44*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-6)-13983816*L43*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-&
     ! &3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-7)-85900584*&
     ! &L42*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-8)-450978066*L41*((-m)-8)*((-m)&
     ! &-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)&
     ! &**(m+1)*(m*rho+c)**((-m)-9)-2054455634*L40*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-10)-8217822536*L39*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-11)-29135916264*L38*((-m)-1&
     ! &1)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4&
     ! &)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-12)-&
     ! &92263734836*L37*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*(&
     ! &(-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*&
     ! &rho)**(m+1)*(m*rho+c)**((-m)-13)-262596783764*L36*((-m)-13)*((-m)&
     ! &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     ! &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     ! &**((-m)-14)-675248872536*L35*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-15)&
     ! &-1575580702584*L34*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-16)&
     ! &-3348108992991*L33*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-17)-6499270398159*L32*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
     ! &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
     ! &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
     ! &o)**(m+1)*(m*rho+c)**((-m)-18)-11554258485616*L31*((-m)-18)*((-m)&
     ! &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-19)-188&
     ! &51684897584*L30*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     ! &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-20)-28277527346376*L29*((-m)-20&
     ! &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-21)-39049918716424*L28*((-m)-21)*((-m)-20)*((&
     ! &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     ! &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     ! &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-22)-49699896548176*L27*((-m)-22)*((-m)-21)*((-m)-&
     ! &20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*(&
     ! &(-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)&
     ! &*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(&
     ! &m+1)*(m*rho+c)**((-m)-23)-58343356817424*L26*((-m)-23)*((-m)-22)*&
     ! &((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)&
     ! &-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*(&
     ! &(-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-&
     ! &m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-24)-63205303218876*L25*((-m&
     ! &)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)&
     ! &*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m&
     ! &)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m&
     ! &)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-2&
     ! &5)-63205303218876*L24*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     ! &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     ! &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-26)-58343356817424*L23*((-m)-2&
     ! &6)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((&
     ! &-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-1&
     ! &3)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)&
     ! &-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(&
     ! &m*rho+c)**((-m)-27)-49699896548176*L22*((-m)-27)*((-m)-26)*((-m)-&
     ! &25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*(&
     ! &(-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-&
     ! &12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)&
     ! &-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)*&
     ! &*((-m)-28)-39049918716424*L21*((-m)-28)*((-m)-27)*((-m)-26)*((-m)&
     ! &-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*&
     ! &((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)&
     ! &-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m&
     ! &)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)&
     ! &**((-m)-29)-28277527346376*L20*((-m)-29)*((-m)-28)*((-m)-27)*((-m&
     ! &)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)&
     ! &*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m&
     ! &)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((&
     ! &-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1&
     ! &)*(m*rho+c)**((-m)-30)-18851684897584*L19*((-m)-30)*((-m)-29)*((-&
     ! &m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22&
     ! &)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-&
     ! &m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)&
     ! &*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*(&
     ! &(-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-31)-11554258485616*L18*((&
     ! &-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-2&
     ! &5)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((&
     ! &-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-1&
     ! &2)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-&
     ! &5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**&
     ! &((-m)-32)-6499270398159*L17*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-2&
     ! &9)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((&
     ! &-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-1&
     ! &6)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((&
     ! &-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m&
     ! &)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-33)-3348108992991*L&
     ! &16*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((&
     ! &-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-2&
     ! &1)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((&
     ! &-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)&
     ! &*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(&
     ! &m*rho)**(m+1)*(m*rho+c)**((-m)-34)-1575580702584*L15*((-m)-34)*((&
     ! &-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-2&
     ! &7)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((&
     ! &-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-1&
     ! &4)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m&
     ! &)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho&
     ! &)**(m+1)*(m*rho+c)**((-m)-35)-675248872536*L14*((-m)-35)*((-m)-34&
     ! &)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-&
     ! &m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21&
     ! &)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-&
     ! &m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*&
     ! &((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m&
     ! &*rho)**(m+1)*(m*rho+c)**((-m)-36)-262596783764*L13*((-m)-36)*((-m&
     ! &)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)&
     ! &*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m&
     ! &)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)&
     ! &*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m&
     ! &)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-&
     ! &2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-37)-92263734836*L12*(&
     ! &(-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-&
     ! &31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*(&
     ! &(-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-&
     ! &18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*(&
     ! &(-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*(&
     ! &(-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m&
     ! &)-38)-29135916264*L11*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-&
     ! &m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28&
     ! &)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-&
     ! &m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15&
     ! &)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m&
     ! &)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-&
     ! &1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-39)-8217822536*L10*((-m)-39)*(&
     ! &(-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-&
     ! &32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*(&
     ! &(-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-&
     ! &19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*(&
     ! &(-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*&
     ! &((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rh&
     ! &o+c)**((-m)-40)-2054455634*L9*((-m)-40)*((-m)-39)*((-m)-38)*((-m)&
     ! &-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*&
     ! &((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)&
     ! &-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*&
     ! &((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)&
     ! &-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)&
     ! &-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-41&
     ! &)-450978066*L8*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*&
     ! &((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)&
     ! &-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*&
     ! &((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)&
     ! &-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*&
     ! &((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*(&
     ! &(-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-42)-859&
     ! &00584*L7*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-&
     ! &37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*(&
     ! &(-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-&
     ! &24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*(&
     ! &(-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-&
     ! &11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-&
     ! &4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-43)&
     ! &-13983816*L6*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((&
     ! &-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-3&
     ! &2)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((&
     ! &-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-1&
     ! &9)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((&
     ! &-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*(&
     ! &(-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho&
     ! &+c)**((-m)-44)-1906884*L5*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)&
     ! &*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m&
     ! &)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)&
     ! &*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m&
     ! &)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)&
     ! &*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)&
     ! &-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1&
     ! &)*(m*rho)**(m+1)*(m*rho+c)**((-m)-45)-211876*L4*((-m)-45)*((-m)-4&
     ! &4)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((&
     ! &-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-3&
     ! &1)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((&
     ! &-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-1&
     ! &8)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((&
     ! &-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((&
     ! &-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)&
     ! &-46)-18424*L3*((-m)-46)*((-m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*(&
     ! &(-m)-41)*((-m)-40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-&
     ! &35)*((-m)-34)*((-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*(&
     ! &(-m)-28)*((-m)-27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-&
     ! &22)*((-m)-21)*((-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*(&
     ! &(-m)-15)*((-m)-14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-&
     ! &9)*((-m)-8)*((-m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)&
     ! &*((-m)-1)*(m*rho)**(m+1)*(m*rho+c)**((-m)-47)-1176*L2*((-m)-47)*(&
     ! &(-m)-46)*((-m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-&
     ! &40)*((-m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*(&
     ! &(-m)-33)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-&
     ! &27)*((-m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*(&
     ! &(-m)-20)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-&
     ! &14)*((-m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-&
     ! &m)-7)*((-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rh&
     ! &o)**(m+1)*(m*rho+c)**((-m)-48)-49*L1*((-m)-48)*((-m)-47)*((-m)-46&
     ! &)*((-m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-&
     ! &m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33&
     ! &)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-&
     ! &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
     ! &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-49)-L0*((-m)-49)*((-m)-48)*((-m)-47)*((-m)-46&
     ! &)*((-m)-45)*((-m)-44)*((-m)-43)*((-m)-42)*((-m)-41)*((-m)-40)*((-&
     ! &m)-39)*((-m)-38)*((-m)-37)*((-m)-36)*((-m)-35)*((-m)-34)*((-m)-33&
     ! &)*((-m)-32)*((-m)-31)*((-m)-30)*((-m)-29)*((-m)-28)*((-m)-27)*((-&
     ! &m)-26)*((-m)-25)*((-m)-24)*((-m)-23)*((-m)-22)*((-m)-21)*((-m)-20&
     ! &)*((-m)-19)*((-m)-18)*((-m)-17)*((-m)-16)*((-m)-15)*((-m)-14)*((-&
     ! &m)-13)*((-m)-12)*((-m)-11)*((-m)-10)*((-m)-9)*((-m)-8)*((-m)-7)*(&
     ! &(-m)-6)*((-m)-5)*((-m)-4)*((-m)-3)*((-m)-2)*((-m)-1)*(m*rho)**(m+&
     ! &1)*(m*rho+c)**((-m)-50)
     !      if (deriv(i) .eq. 50) then
     !         L(i) = L50
     !         cycle
     !      end if
  end do
end subroutine laplace_pvf_E1
